Package org.apache.tools.ant.types.optional

## Class ScriptCondition

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.optional.AbstractScriptComponent
    - - org.apache.tools.ant.types.optional.ScriptCondition

- All Implemented Interfaces:
    `java.lang.Cloneable`, `Condition`

      public class ScriptCondition
      extends AbstractScriptComponent
      implements Condition

  A condition that lets you include script. The condition component sets a bean "self", whose attribute "value" must be set to true for the condition to succeed, false to fail. The default is 'false'

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScriptCondition()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `eval()` | Is this condition true?
    `boolean` | `getValue()` | get the current value of the condition
    `void` | `setValue​(boolean value)` | set the value of the condition.

    - ### Methods inherited from class org.apache.tools.ant.types.optional.AbstractScriptComponent

      `addText, createClasspath, executeScript, getRunner, initScriptRunner, setClasspath, setClasspathRef, setEncoding, setLanguage, setManager, setManager, setProject, setSetBeans, setSrc`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptCondition

          public ScriptCondition()

  - ### Method Detail

    - #### eval

          public boolean eval()
                       throws BuildException

      Is this condition true?
      Specified by:
        `eval` in interface `Condition`
      Returns:
        true if the condition is true
      Throws:
        `BuildException` - if an error occurs

    - #### getValue

          public boolean getValue()

      get the current value of the condition
      Returns:
        true if the condition

    - #### setValue

          public void setValue​(boolean value)

      set the value of the condition. This is used by the script to pass the return value. It can be used by an attribute, in which case it sets the default value
      Parameters:
        `value` - the value to set the condition to